Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jaxen
Class XPathFunctionContext

    java.lang.Object
      org.jaxen.SimpleFunctionContext
          org.jaxen.XPathFunctionContext

All Implemented Interfaces:
  FunctionContext

public class XPathFunctionContext
extends SimpleFunctionContext

A `FunctionContext` implementing the core XPath function library, plus Jaxen extensions.

The core XPath function library is provided through this implementation of `FunctionContext`. Additionally, extension functions have been provided, as enumerated below.

This class is re-entrant and thread-safe. If using the default instance, it is inadvisable to call `SimpleFunctionContext.registerFunction(String, String, Function)` as that will extend the global function context, affecting other users. But that's your call, really, now isn't it? That may be what you really want to do.

Extension functions:

- matrix-concat(..)
- evaluate(..)
- upper-case(..)
- lower-case(..)
- ends-with(..)

Author:
  bob mcwhirter
See Also:
  `FunctionContext`, `org.jaxen.function`, `org.jaxen.function.xslt`, `org.jaxen.function.ext`

Constructor Summary
`XPathFunctionContext()` Create a new XPath function context.
`XPathFunctionContext(boolean includeExtensionFunctions)` Create a new XPath function context.

Method Summary
`static FunctionContext` | `getInstance()` Retrieve the default function context

Methods inherited from class org.jaxen.SimpleFunctionContext
`getFunction, registerFunction`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XPathFunctionContext

    public XPathFunctionContext()

  Create a new XPath function context. All core XPath and Jaxen extension functions are registered.

### XPathFunctionContext

    public XPathFunctionContext(boolean includeExtensionFunctions)

  Create a new XPath function context. All core XPath functions are registered.

Parameters:
  `includeExtensionFunctions` - if true extension functions are included; if false, they aren't.

Method Detail

### getInstance

    public static FunctionContext getInstance()

  Retrieve the default function context

  Returns:
    the default function context

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 Codehaus. All Rights Reserved.